// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by an AGPL-3.0-style license
// that can be found in the LICENSE file.

library molview_wikidata.module;

import 'dart:async';
import 'dart:convert';

import 'package:omnibus/omnibus.dart';
import 'package:omnibus/patterns.dart';
import 'package:molview_messages/dataserver.dart';
import 'package:molview_wikidata/molview_wikidata.dart';
import 'package:http/http.dart' as http;
import 'package:molview_messages/standards.dart' as fields;
import 'package:molview_messages/molview_messages_v0.dart' as v0;

part 'src/autocomplete_compounds.dart';

Future main(Omnibus bus, http.Client httpClient) async {
  // The PubChem autocomplete API is disabled because Wikidata will be used to
  // autocomplete compound names.
  bus.bind(new v0.FindSearchSuggestionsHandler(
      findCompoundSuggestions, new SimpleState(bus, httpClient)));

  // Announce autocomplete provider
  await bus.event(new v0.AnnounceAutocompleteProvider(wikidataAutocpProvider));
}
