// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by an AGPL-3.0-style license
// that can be found in the LICENSE file.

library molview_wikidata;

import 'package:molview_messages/dataserver.dart';
import 'package:molview_messages/standards.dart' as fields;

/// Wikidata Entity ID
class WikidataId extends TableKey {
  static const id = '${fields.entityEntity}_WikidataId';
  const WikidataId(KeyRelationType relation)
      : super(DataType.integer, id, relation);
}

/// Wikidata SPARQL endpoint
///
/// See: https://www.mediawiki.org/wiki/Wikidata_query_service/User_Manual#SPARQL_endpoint
/// Query parameters on this endpoint:
/// - format: json | xml
/// - query: raw SPARQL query
const wikidataSparqlEndpoint =
    'https://query.wikidata.org/bigdata/namespace/wdq/sparql';

/// Wikidata autocomplete provider name
const wikidataAutocpProvider = 'wikidata';
